"use strict";

exports.__esModule = true;
exports.createAlert = createAlert;
exports.deleteAlert = deleteAlert;
function createAlert(message, _delay) {
    var delay = _delay !== undefined ? _delay : 3000;

    return function (dispatch) {
        if (_delay !== null) {
            setTimeout(function () {
                return dispatch(deleteAlert());
            }, delay);
        }
        dispatch({ type: "CREATE_ALERT", payload: message });
    };
}

function deleteAlert() {
    return function (dispatch) {
        return dispatch({ type: "DELETE_ALERT" });
    };
}