"use strict";

exports.__esModule = true;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

exports.alertReducer = alertReducer;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var initialState = {
    currentAlert: null
};

function alertReducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;

    var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
        type = _ref.type,
        payload = _ref.payload;

    switch (type) {
        case "CREATE_ALERT":
            return (0, _extends3["default"])({}, state, { currentAlert: payload });
        case "DELETE_ALERT":
            return (0, _extends3["default"])({}, state, { currentAlert: null });
    }

    return state;
}